## 📋 Description

<!-- Provide a brief description of the changes introduced by this PR -->

## 🔄 Type of Change

<!-- Mark the relevant option with an [x] -->

- [ ] 🐛 Bug fix (non-breaking change which fixes an issue)
- [ ] ✨ New feature (non-breaking change which adds functionality)
- [ ] 💥 Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] 📚 Documentation update
- [ ] 🔧 Refactoring (no functional changes, no api changes)
- [ ] 🧪 Tests (adding missing tests or correcting existing tests)
- [ ] 🎨 Style changes (formatting, missing semi colons, etc; no code changes)
- [ ] ⚡ Performance improvements
- [ ] 🔒 Security improvements

## 🧪 Testing

<!-- Describe the tests that you ran to verify your changes -->

### Manual Testing
- [ ] Tested API endpoints manually
- [ ] Verified database operations work correctly
- [ ] Checked error handling scenarios
- [ ] Tested with different data inputs

### Automated Testing
- [ ] All existing tests pass
- [ ] Added new tests for new functionality
- [ ] Updated tests for modified functionality

## 📊 Database Changes

<!-- If your changes affect the database, please describe them -->

- [ ] No database changes
- [ ] New migration created
- [ ] Migration tested (upgrade/downgrade)
- [ ] Database schema updated

## 📚 Documentation

<!-- Mark what documentation has been updated -->

- [ ] README.md updated
- [ ] API documentation updated
- [ ] Code comments added/updated
- [ ] CONTRIBUTING.md updated (if needed)

## ✅ Checklist

<!-- Mark completed items with [x] -->

### Code Quality
- [ ] Code follows the project's coding standards
- [ ] Self-review of code completed
- [ ] Code is properly formatted (`ruff format .`)
- [ ] Linting checks pass (`ruff check .`)
- [ ] No unused imports or variables
- [ ] Meaningful variable and function names used

### Functionality
- [ ] Changes work as expected
- [ ] No breaking changes (or documented if unavoidable)
- [ ] Error handling implemented appropriately
- [ ] Input validation added where necessary
- [ ] Security considerations addressed

### Performance
- [ ] No performance regressions introduced
- [ ] Database queries optimized (if applicable)
- [ ] Memory usage considered

## 🔗 Related Issues

<!-- Link to the issue(s) this PR addresses -->

Closes #(issue_number)
Fixes #(issue_number)
Resolves #(issue_number)

## 📸 Screenshots (if applicable)

<!-- Add screenshots to help explain your changes -->

## 🚀 Deployment Notes

<!-- Any special deployment considerations -->

- [ ] No special deployment steps required
- [ ] Requires database migration (`alembic upgrade head`)
- [ ] Requires environment variable updates
- [ ] Other deployment notes (specify below)

## 🤔 Questions/Concerns

<!-- Any questions or areas where you'd like feedback -->

## 📝 Additional Notes

<!-- Any additional information that reviewers should know -->